#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
using namespace std;


int main(int argc, char* argv[])
{
    char* filename_out;
    
    if(argc != 2){
        //puts("\nThis application controls bus of a SiTCP chip for debugging.");
        printf("Usage: %s <filename_out> \n\n", argv[0]);
        return -1;
    }else{
        filename_out = argv[1];
    }
    
    
    int i,j,k, n,t;
       float sinya[512];    /* 大きめのサイズの配列を用意しておく． */
    
       FILE *fp;
    
       fp = fopen("d.txt", "r");
       if(fp == NULL) {
           printf("ファイルを開くことが出来ませんでした．\n");
           return(0);
       }
    
       n = 0;
    
       /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
       while ( ! feof(fp) && n < 512) {
           fscanf(fp, "%4f", &(sinya[n]));
           n++;
       }
    
       fclose(fp);
    
       n = n-1;
    
    
    /*数値を変換*/
    
    
    float siny[512];
    
    for(j=0; j<4; j++) {
        siny[j]=sinya[6*j+1]+sinya[6*j+2]+sinya[6*j+3]+sinya[6*j+4]+sinya[6*j+5];
    }
    
       /*  画面に判定を表示  */
       
    
    for(k=0; k<4; k++) {
        if(k==0){
            if(sinya[6*k]==10){
                printf("\nOK: SPI1 = OK set %4.0f\n", sinya[6*k]);
            }
           else printf("\nNG: SPI1 = NG set %4.0f\n", sinya[6*k]);
        }
        if(k==1){
            if(sinya[6*k]==11){
                printf("OK: SPI2 = OK set %4.0f\n", sinya[6*k]);
            }
           else printf("NG: SPI2 = NG set %4.0f\n", sinya[6*k]);
        }
        if(k==2){
            if(sinya[6*k]==12){
                printf("OK: SPI3 = OK set %4.0f\n", sinya[6*k]);
            }
           else printf("NG: SPI3 = NG set %4.0f\n", sinya[6*k]);
        }
        if(k==3){
            if(sinya[6*k]==13){
                printf("OK: SPI4 = OK set %4.0f\n", sinya[6*k]);
            }
           else printf("NG: SPI4 = NG set %4.0f\n", sinya[6*k]);
        }
    }
    
    for(i=0; i<4; i++) {
        if(i==0){
            if(siny[i]>=25 && siny[i]<=35){
                printf("OK: BCID 30 ns = OK %4.0f\n", siny[i]);
            }
           else printf("NG: BCID 30 ns = NG %4.0f\n", siny[i]);
        }
        if(i==1){
            if(siny[i]>=30 && siny[i]<=40){
                printf("OK: BCID 35 ns = OK %4.0f\n", siny[i]);
            }
            else printf("NG: BCID 35 ns = NG %4.0f\n", siny[i]);
        }
        if(i==2){
            if (siny[i]>=35 && siny[i]<=45){
                printf("OK: BCID 40 ns = OK %4.0f\n", siny[i]);
            }
        else printf("NG: BCID 40 ns = NG %4.0f\n", siny[i]);
        }
        if(i==3){
            if(siny[i]>=40 && siny[i]<=50){
                printf("OK: BCID 45 ns = OK %4.0f\n", siny[i]);
            }
            else printf("NG: BCID 45 ns = NG %4.0f\n", siny[i]);
        }
    }
    
    FILE *outputfile;         // 出力ストリーム
    
    outputfile = fopen(filename_out, "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile == NULL) {          // オープンに失敗した場合
        printf("cannot open\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    FILE *outputfile2;         // 出力ストリーム
    
    outputfile2 = fopen("1st_data.txt", "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile2 == NULL) {          // オープンに失敗した場合
        printf("cannot open_outputfile2\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    
    printf("\n--RESULT--\n");
    if((siny[0]>=25 && siny[0]<=35) && (siny[1]>=30 && siny[1]<=40) && (siny[2]>=35 && siny[2]<=45) && (siny[3]>=40 && siny[3]<=50)) {
        printf("OK: Test6 (bcid_gate)\n");
        fprintf(outputfile,"1st_OK:bcid_gate\n");
        printf("\n合格　測定完了\nASICの電源を切って付け替えるか、他の項目の試験を行ってください。\n");
        fprintf(outputfile2,"\n1");
    }
    else {printf("NG: Test6 (bcid_gate)\n");
        fprintf(outputfile,"1st_NG:bcid_gate\n");
        printf("\n不合格　測定終了\nASICの電源を切って付け替えてください。\nASICに「試験６、不合格」のチェックをしてください。");
        fprintf(outputfile2,"\n0");
    }
    
    
    
    
    for(int s=0; s<4; s++) {
        fprintf(outputfile, "1st_bcid_gate_SPI_test0%d ", s+1);
        fprintf(outputfile, "%4.f\n", sinya[6*s]);
    }
    for(int y=0; y<4; y++) {
        fprintf(outputfile, "1st_bcid_gate_%d_ns ", 30+5*y);
        fprintf(outputfile, "%4.f\n", siny[y]);
    }
    
    fclose(outputfile);          // ファイルをクローズ(閉じる)
    fclose(outputfile2);          // ファイルをクローズ(閉じる)
    
    return(0);
}
