/*
実行手順
javac -encoding utf-8 fjt.java
java fjt
*/
//このコードのベースは矢野大貴氏より山田敏大氏が譲り受けたものです。

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import javax.swing.*;
import javax.swing.filechooser.*;
import javax.sound.sampled.*;
import javax.sound.sampled.DataLine.*;
import java.util.Timer;
import java.util.TimerTask;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.*;
import java.applet.*;    //wavファイルの再生に使用

public class fjt extends JFrame implements ActionListener{
  private JFrame mainFrame;
  private Container contentPane;
  private JTextArea textArea;
  private JScrollPane scrollPane; //スクロール機能
  private JLayeredPane buttonPane;
  private JButton /*changeButton,*/ endButton, prgButton;
  private ImageIcon image, resizeImage;
  private Image resizeImg;
  private JLabel label;
  private JLayeredPane imageArea;
  private boolean flag = true;
  private AudioClip SE1;
  private AudioClip SE2;
  private AudioClip SE3;
  private AudioClip SE4;

  private int mainFrame_height=476+150, mainFrame_width=616+500;//画面サイズ

  public static void main(String[] args){
    new fjt("PP ASIC 量産品試験");//title
      
  }
    
  fjt(String name){

  mainFrame = new JFrame(name);//title
  mainFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  mainFrame.setSize(mainFrame_width,mainFrame_height);//画面サイズの指定
  mainFrame.setLocationRelativeTo(null);
  //mainFrame.setResizable(true);//画面サイズ変更できるようになる
  mainFrame.setResizable(false);//画面サイズの固定

  //各要素の準備
  contentPane = mainFrame.getContentPane();
  textArea = new JTextArea();
  JScrollPane scrollPane = new JScrollPane(textArea);
  scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
  scrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
  scrollPane.setPreferredSize(new Dimension(850, 50));
  textArea.setFont(new Font("Arial", Font.PLAIN, 24));
  //textArea.setBounds(200, 200, 600, 50);
  //textArea.setPreferredSize(new Dimension(300, 50));
  //textArea.setOpaque(false);
  //textArea.setTabSize(10);
  
 
  //changeButton = new JButton("画像を変更");
  buttonPane = new JLayeredPane();
  buttonPane.setLayout(null);
  endButton = new JButton("終了");
  prgButton = new JButton("実行");
  endButton.setFont(new Font("Arial", Font.PLAIN, 30));
  prgButton.setFont(new Font("Arial", Font.PLAIN, 50));
  //image = new ImageIcon("IMG_2243.PNG");
  image = new ImageIcon("TITLE.PNG");
  resizeImg =
      image.getImage().getScaledInstance(mainFrame_width-620,280,Image.SCALE_SMOOTH);
  resizeImage = new ImageIcon(resizeImg);
  label = new JLabel(resizeImage);
  imageArea = new JLayeredPane();
  label.setHorizontalAlignment(JLabel.RIGHT);
  label.setVerticalAlignment(JLabel.TOP);
  imageArea.add(label);
  //setLayer(label, DEFAULT_LAYER, 0);
  //imageArea.add(label, JLayeredPane.DEFAULT_LAYER);
      
  //ボタンとリスナーの関連付け
  //changeButton.addActionListener(this);//リスナーの監視対象に指定
  endButton.addActionListener(this);
  prgButton.addActionListener(this);

  //ボタンをJPanelに貼り付け
  prgButton.setBounds(10, 200, 250, 125);
  endButton.setBounds(150, 550, 100, 50);
  //buttonPane.add(changeButton);
  buttonPane.add(prgButton);
  buttonPane.add(endButton);
  //buttonPane.add(imageArea);
  //setLayer(buttonPane, PALETTE_LAYER, 100);
  //buttonPane.add(prgButton, JLayeredPane.PALETTE_LAYER);
  //buttonPane.add(endButton, JLayeredPane.PALETTE_LAYER);
  //buttonPane.add(label, JLayeredPane.PALETTE_LAYER);
  


  //contentPane.add(label, BorderLayout.EAST);
  contentPane.add(scrollPane, BorderLayout.WEST);
  contentPane.add(buttonPane, BorderLayout.CENTER);
  
  //contentPane.add(buttonPane, BorderLayout.SOUTH);
  mainFrame.setVisible(true);//可視化
      
  //ここに起動時にしたい処理を書く
  System.out.print("起動中です\n");
  textArea.append("起動中です。しばらくお待ちください。\n");
      
      try{
          Process pk = Runtime.getRuntime().exec(String.format("./test_kill_java.csh"));
          try{
              pk.waitFor();
          }catch(InterruptedException e){
              e.printStackTrace();
          }
          
          
          Process ps = Runtime.getRuntime().exec(String.format("./test_start.csh"));
          try{
              ps.waitFor();
          }catch(InterruptedException e){
              e.printStackTrace();
          }
          
          
          File file15 = new File("test_start.txt");
          
          FileReader fileReader15 = new FileReader(file15);
          BufferedReader br15 = new BufferedReader(fileReader15);
          String line15;
          List<String> lineList15 = new ArrayList<String>();
          while((line15 = br15.readLine()) != null){
              lineList15.add(line15);
          }
          String[] str15 = lineList15.toArray(new String[lineList15.size()]);
          
          
          
          if(str15[0].equals("0")){
              System.out.print("バックアップを保存しました。\n");
              textArea.append("実行ボタンを押して試験を始めてください。\n");
              AudioClip SE2 = Applet.newAudioClip(getClass().getResource("sound_start.wav"));
              SE2.play(); //一回再生
          }else if(str15[0].equals("1")){
              System.out.print("USBメモリーを挿して再起動してください。\n");
              System.exit(0);
          }else{System.out.print("システムエラー\n");
              System.out.print(str15[1]);
              System.exit(0);
          }
          br15.close();
          
          
      }catch(IOException ex){
          ex.printStackTrace();
          System.out.print("USBメモリを挿して再起動してください。\n");
          System.exit(0);
      }
  

  }
    
      
  
    public void actionPerformed(ActionEvent event){
//各種ボタンの定義

//終了ボタン
  if(event.getSource() == endButton){
      textArea.append("システムを終了しています。しばらくお待ちください。\n");
      try{
          Process ps = Runtime.getRuntime().exec(String.format("./test_start.csh"));
          try{
              ps.waitFor();
          }catch(InterruptedException e){
              e.printStackTrace();
          }
          
          System.out.print("バックアップを保存しました。\n");
          System.exit(0);
          
          
          
      }catch(IOException ex){
          ex.printStackTrace();
          System.exit(0);
      }
      
      
  }
  

//背景変更ボタン
  /*if(event.getSource() == changeButton){
    JFileChooser chooser = new JFileChooser();
    FileNameExtensionFilter extension = new FileNameExtensionFilter("画像ファイル", "jpg", "png");
    chooser.setFileFilter(extension);
    int result = chooser.showOpenDialog(this);
    if(result==JFileChooser.APPROVE_OPTION){
      File f = chooser.getSelectedFile();
      image = new ImageIcon(f.getPath());
      resizeImg = image.getImage().getScaledInstance(mainFrame_width-16,mainFrame_height-76,Image.SCALE_SMOOTH);
      resizeImage = new ImageIcon(resizeImg);
      label.setIcon(resizeImage);
      textArea.append("正常に読み込まれました\n");
    }else if(result == JFileChooser.CANCEL_OPTION){
      textArea.append("キャンセルされました\n");
    }else if(result == JFileChooser.ERROR_OPTION){
      textArea.append("エラーが発生しました\n");
    }
  }*/

//prgButton
  if(event.getSource() == prgButton){
      AudioClip SE4 = Applet.newAudioClip(getClass().getResource("sound_mea.wav"));
      SE4.play(); //一回再生
      //textArea.append("テストを開始しました。\n");
      if(flag == true){//処理中はボタンを押せないようにする
          flag = false;
          //textArea.append("テストを開始しました。\n");
          /*TimerTask task = new TimerTask() {
          public void run() {
           flag = true;
              }
              };

              Timer timer = new Timer();
           timer.schedule(task, 50000);*/
          
          TimerTask task3 = new TimerTask() {
          public void run() {
              flag = true;
              //textArea.append("\nテスト中です。しばらくお待ちください。\n");
              }
              };

              Timer timer3 = new Timer();
              timer3.schedule(task3, 6000);
  try{
    Process p1 = Runtime.getRuntime().exec(String.format("./test2_1st.csh"));
      //textArea.append("テストを開始しました。\n");
      try{
          p1.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append("\n .");
      Process p2 = Runtime.getRuntime().exec(String.format("./test3_1st.csh"));
      try{
          p2.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append(".");
      Process p3 = Runtime.getRuntime().exec(String.format("./test4_1st.csh"));
      try{
          p3.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append(".");
      Process p4 = Runtime.getRuntime().exec(String.format("./test5_1st.csh"));
      try{
          p4.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append(".");
      Process p5 = Runtime.getRuntime().exec(String.format("./test6_1st.csh"));
      //textArea.append("\nテスト中です。そのまましばらくお待ちください。\n");
      try{
          p5.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append(".");
      Process p6 = Runtime.getRuntime().exec(String.format("./test7_1st.csh"));
      try{
          p6.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append(".");
      Process p7 = Runtime.getRuntime().exec(String.format("./test8_1st.csh"));
      try{
          p7.waitFor();
      }catch(InterruptedException e){
          e.printStackTrace();
      }
      //textArea.append(".\n");
      
      try {
        
        // 1.ファイルのパスを指定する
        File file = new File("1st_data.txt");
        
        // 2.ファイルが存在しない場合に例外が発生するので確認する
        if (!file.exists()) {
            System.out.print("\nデータが存在しません\n");
            //textArea.append("ちょっとまってな\n");
            
            while(true){
            textArea.append("\nデータが存在しません\n");
                try{
                    Thread.sleep(10000);
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                
                file = new File("1st_data.txt");
                    
                    
                /*}catch(IOException ex){
                  ex.printStackTrace();
                }*/
                
                if(file.exists()) {
                    break;
                }
            }//whileの終わり
            
        
          
            //return;
        }
        

        // 3.FileReaderクラスとreadメソッドを使って1文字ずつ読み込み表示する
        FileReader fileReader = new FileReader(file);
          BufferedReader br = new BufferedReader(fileReader);
        String line;
          List<String> lineList = new ArrayList<String>();
          while((line = br.readLine()) != null){
              lineList.add(line);
          }
          String[] str = lineList.toArray(new String[lineList.size()]);
          
          /*System.out.println("");
          System.out.println(str[1]);
          System.out.println(str[2]);
          System.out.println(str[3]);
          System.out.println(str[4]);
          System.out.println(str[5]);
          System.out.println(str[6]);
          System.out.println(str[7]);*/
          
        
          
          int j1 = 1;
          int j2 = 1;
          int j3 = 1;
          int j4 = 1;
          int j5 = 1;
          int j6 = 1;
          int j7 = 1;
          int j8 = 1;
          
          String months[] = {"1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月","10月", "11月", "12月"};
          int year;
          GregorianCalendar gcalendar = new GregorianCalendar();
          
          //textArea.append("日付： ");
          //textArea.append(year = gcalendar.get(Calendar.YEAR));
          //textArea.append("日付： ");
          //textArea.append(months[gcalendar.get(Calendar.MONTH)]);
          //textArea.append(" " + gcalendar.get(Calendar.DATE) + "日　　");
          
          //textArea.append("時刻： ");
          //textArea.append(gcalendar.get(Calendar.HOUR) + "時");
          //textArea.append(gcalendar.get(Calendar.MINUTE) + "分");
          //System.out.println(gcalendar.get(Calendar.SECOND));
        if(str[1].equals("1")&&str[2].equals("1")&&str[3].equals("1")&&str[4].equals("1")&&str[5].equals("1")&&str[6].equals("1")&&str[7].equals("1")){
            Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 000"));
            //textArea.append("テストを開始しました。\n");
            try{
                p15.waitFor();
            }catch(InterruptedException e){
                e.printStackTrace();
            }
            textArea.append("測定日時： ");
            textArea.append(months[gcalendar.get(Calendar.MONTH)]);
            textArea.append(" " + gcalendar.get(Calendar.DATE) + "日　　");
            textArea.append(gcalendar.get(Calendar.HOUR) + "時");
            textArea.append(gcalendar.get(Calendar.MINUTE) + "分");
            
            textArea.append("\n測定完了\n\n測定結果：合格\n\nASICを付け替えてください。\n\n");
            textArea.setCaretPosition(textArea.getDocument().getLength());
            //textArea.append("実行を押して試験を始めてください。\n");
            AudioClip SE1 = Applet.newAudioClip(getClass().getResource("sound.wav"));
            SE1.play(); //一回再生
        Process p = Runtime.getRuntime().exec(String.format("./off.csh"));
        }else{
            
            Process p8 = Runtime.getRuntime().exec(String.format("./test1.csh"));
            try{
                p8.waitFor();
            }catch(InterruptedException e){
                e.printStackTrace();
            }
          
            File file1 = new File("2nd_data.txt");
            
            if (!file1.exists()) {
                System.out.print("\nデータが存在しません\n");
                
            }
                
                FileReader fileReader1 = new FileReader(file1);
                int data1;
                String str1 = "";
                while ((data1 = fileReader1.read()) != -1) {
                    //System.out.print((char) data);
                    str1 = str1 + (char) data1;
                }
            if(str1.equals("1")){
                j1 = 1;
            }else if(str1.equals("0")){
                j1 = 0;
            }
            
            fileReader1.close();
            //br2.close();
            
            
            
            
          if(str[1].equals("0")){
              Process p9 = Runtime.getRuntime().exec(String.format("./test2.csh"));
              try{
                  p9.waitFor();
              }catch(InterruptedException e){
                  e.printStackTrace();
              }
              File file2 = new File("2nd_data.txt");
              FileReader fileReader2 = new FileReader(file2);
              int data2;
              String str2 = "";
              while ((data2 = fileReader2.read()) != -1) {
                  //System.out.print((char) data);
                  str2 = str2 + (char) data2;
              }
              if(str2.equals("1")){
                  j2 = 1;
              }else if(str2.equals("0")){
                  j2 = 0;
              }
              fileReader2.close();
              
          }
            if(str[2].equals("0")){
                Process p10 = Runtime.getRuntime().exec(String.format("./test3.csh"));
                try{
                    p10.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                File file3 = new File("2nd_data.txt");
                FileReader fileReader3 = new FileReader(file3);
                int data3;
                String str3 = "";
                while ((data3 = fileReader3.read()) != -1) {
                    //System.out.print((char) data);
                    str3 = str3 + (char) data3;
                }
                if(str3.equals("1")){
                    j3 = 1;
                }else if(str3.equals("0")){
                    j3 = 0;
                }
                fileReader3.close();
                
            }
            if(str[3].equals("0")){
                Process p11 = Runtime.getRuntime().exec(String.format("./test4.csh"));
                try{
                    p11.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                File file4 = new File("2nd_data.txt");
                FileReader fileReader4 = new FileReader(file4);
                int data4;
                String str4 = "";
                while ((data4 = fileReader4.read()) != -1) {
                    //System.out.print((char) data);
                    str4 = str4 + (char) data4;
                }
                if(str4.equals("1")){
                    j4 = 1;
                }else if(str4.equals("0")){
                    j4 = 0;
                }
                fileReader4.close();
                
            }
            if(str[4].equals("0")){
                Process p12 = Runtime.getRuntime().exec(String.format("./test5.csh"));
                try{
                    p12.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                File file5 = new File("2nd_data.txt");
                FileReader fileReader5 = new FileReader(file5);
                int data5;
                String str5 = "";
                while ((data5 = fileReader5.read()) != -1) {
                    //System.out.print((char) data);
                    str5 = str5 + (char) data5;
                }
                if(str5.equals("1")){
                    j5 = 1;
                }else if(str5.equals("0")){
                    j5 = 0;
                }
                fileReader5.close();
                
            }
            if(str[5].equals("0")){
                Process p13 = Runtime.getRuntime().exec(String.format("./test6.csh"));
                try{
                    p13.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                File file6 = new File("2nd_data.txt");
                FileReader fileReader6 = new FileReader(file6);
                int data6;
                String str6 = "";
                while ((data6 = fileReader6.read()) != -1) {
                    //System.out.print((char) data);
                    str6 = str6 + (char) data6;
                }
                if(str6.equals("1")){
                    j6 = 1;
                }else if(str6.equals("0")){
                    j6 = 0;
                }
                fileReader6.close();
                
            }
            if(str[6].equals("0")){
                Process p14 = Runtime.getRuntime().exec(String.format("./test7.csh"));
                try{
                    p14.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                File file7 = new File("2nd_data.txt");
                FileReader fileReader7 = new FileReader(file7);
                int data7;
                String str7 = "";
                while ((data7 = fileReader7.read()) != -1) {
                    //System.out.print((char) data);
                    str7 = str7 + (char) data7;
                }
                if(str7.equals("1")){
                    j7 = 1;
                }else if(str7.equals("0")){
                    j7 = 0;
                }
                fileReader7.close();
                
            }
            if(str[7].equals("0")){
                Process p14 = Runtime.getRuntime().exec(String.format("./test8.csh"));
                try{
                    p14.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                File file8 = new File("2nd_data.txt");
                FileReader fileReader8 = new FileReader(file8);
                int data8;
                String str8 = "";
                while ((data8 = fileReader8.read()) != -1) {
                    //System.out.print((char) data);
                    str8 = str8 + (char) data8;
                }
                if(str8.equals("1")){
                    j8 = 1;
                }else if(str8.equals("0")){
                    j8 = 0;
                }
                fileReader8.close();
                
            }
        
             Process p = Runtime.getRuntime().exec(String.format("./off.csh"));
            
            if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 000"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                
                textArea.append("測定日時： ");
                textArea.append(months[gcalendar.get(Calendar.MONTH)]);
                textArea.append(" " + gcalendar.get(Calendar.DATE) + "日　　");
                textArea.append(gcalendar.get(Calendar.HOUR) + "時");
                textArea.append(gcalendar.get(Calendar.MINUTE) + "分");
                textArea.append("\n測定完了\n\n");
                textArea.append("測定結果：合格\n\nASICを付け替えてください。\n\n");
                AudioClip SE1 = Applet.newAudioClip(getClass().getResource("sound.wav"));
                SE1.play(); //一回再生
            }else {
                AudioClip SE3 = Applet.newAudioClip(getClass().getResource("sound_out.wav"));
                SE3.play(); //一回再生
                textArea.append("\n測定完了\n");
                textArea.append("測定日時： ");
                textArea.append(months[gcalendar.get(Calendar.MONTH)]);
                textArea.append(" " + gcalendar.get(Calendar.DATE) + "日　　");
                textArea.append(gcalendar.get(Calendar.HOUR) + "時");
                textArea.append(gcalendar.get(Calendar.MINUTE) + "分");
                textArea.append("\n\n測定結果：不合格\n\n");
                textArea.append("           日付：");
                textArea.append(months[gcalendar.get(Calendar.MONTH)]);
                textArea.append(" " + gcalendar.get(Calendar.DATE) + "日　　\n");
                if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//01111111
                    Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 001"));
                    try{
                        p15.waitFor();
                    }catch(InterruptedException e){
                        e.printStackTrace();
                    }
                textArea.append("           識別番号 001\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//10111111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 002"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 002\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//11011111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 003"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 003\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//11101111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 004"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 004\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//11110111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 005"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 005\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//11111011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 006"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 006\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//11111101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 007"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 007\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//11111110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 008"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 008\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//00111111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 009"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 009\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//01011111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 010"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 010\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//01101111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 011"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 011\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//01110111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 012"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 012\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//01111011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 013"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 013\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//01111101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 014"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 014\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//01111110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 015"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 015\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//10011111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 016"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 016\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//10101111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 017"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 017\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//10110111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 018"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 018\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//10111011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 019"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 019\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//10111101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 020"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 020\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//10111110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 021"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 021\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//11001111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 022"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 022\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//11010111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 023"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 023\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//11011011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 024"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 024\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//11011101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 025"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 025\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//11011110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 026"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 026\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//11100111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 027"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 027\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//11101011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 028"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 028\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//11101101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 029"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 029\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//11101110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 030"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 030\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//11110011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 031"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 031\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//11110101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 032"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 032\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//11110110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 033"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 033\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//11111001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 034"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 034\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//11111010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 035"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 035\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//11111100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 036"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 036\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//00011111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 037"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 037\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//00101111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 038"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 038\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//00110111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 039"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 039\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//00111011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 040"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 040\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//00111101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 041"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 041\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//00111110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 042"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 042\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//01001111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 043"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 043\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//01010111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 044"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 044\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//01011011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 045"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 045\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//01011101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 046"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 046\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//01011110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 047"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 047\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//01100111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 048"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 048\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//01101011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 049"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 049\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//01101101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 050"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 050\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//01101110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 051"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 051\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//01110011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 052"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 052\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//01110101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 053"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 053\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//01110110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 054"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 054\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//01111001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 055"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 055\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//01111010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 056"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 056\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//01111100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 057"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 057\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//10001111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 058"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 058\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//10010111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 059"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 059\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//10011011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 060"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 060\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//10011101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 061"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 061\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//10011110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 062"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 062\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//10100111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 063"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 063\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//10101011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 064"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 064\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//10101101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 065"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 065\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//10101110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 066"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 066\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//10110011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 067"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 067\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//10110101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 068"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 068\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//10110110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 069"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 069\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//10111001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 070"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 070\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//10111010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 071"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 071\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//10111100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 072"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 072\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//11000111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 073"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 073\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//11001011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 074"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 074\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//11001101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 075"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 075\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//11001110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 076"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 076\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//11010011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 077"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 077\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//11010101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 078"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 078\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//11010110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 079"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 079\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//11011001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 080"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 080\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//11011010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 081"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 081\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//11011100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 082"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 082\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//11100011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 083"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 083\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//11100101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 084"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 084\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//11100110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 085"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 085\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//11101001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 086"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 086\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//11101010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 087"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 087\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//11101100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 088"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 088\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//11110001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 089"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 089\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//11110010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 090"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 090\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//11110100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 091"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 091\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//11111000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 092"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 092\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 1){//00001111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 093"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 093\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//00010111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 094"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 094\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//00011011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 095"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 095\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//00011101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 096"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 096\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//00011110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 097"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 097\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//00100111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 098"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 098\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//00101011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 099"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 099\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//00101101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 100"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 100\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//00101110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 101"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 101\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//00110011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 102"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 102\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//00110101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 103"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 103\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//00110110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 104"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 104\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//00111001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 105"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 105\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//00111010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 106"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 106\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//00111100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 107"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 107\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//01000111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 108"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 108\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//01001011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 109"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 109\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//01001101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 110"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 110\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//01001110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 111"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 111\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//01010011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 112"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 112\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//01010101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 113"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 113\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//01010110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 114"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 114\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//01011001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 115"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 115\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//01011010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 116"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 116\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//01011100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 117"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 117\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//01100011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 118"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 118\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//01100101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 119"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 119\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//01100110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 120"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 120\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//01101001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 121"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 121\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//01101010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 122"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 122\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//01101100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 123"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 123\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//01110001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 124"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 124\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//01110010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 125"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 125\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//01110100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 126"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 126\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//01111000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 127"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 127\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//10000111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 128"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 128\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//10001011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 129"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 129\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//10001101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 130"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 130\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//10001110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 131"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 131\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//10010011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 132"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 132\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//10010101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 133"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 133\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//10010110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 134"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 134\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//10011001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 135"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 135\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//10011010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 136"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 136\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//10011100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 137"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 137\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//10100011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 138"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 138\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//10100101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 139"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 139\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//10100110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 140"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 140\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//10101001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 141"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 141\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//10101010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 142"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 142\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//10101100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 143"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 143\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//10110001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 144"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 144\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//10110010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 145"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 145\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//10110100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 146"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 146\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//10111000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 147"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("  識別番号 147\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//11000011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 148"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 148\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//11000101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 149"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 149\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//11000110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 150"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 150\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//11001001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 151"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 151\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//11001010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 152"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 152\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//11001100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 153"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 153\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//11010001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 154"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 154\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//11010010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 155"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 155\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//11010100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 156"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 156\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//11011000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 157"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 157\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//11100001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 158"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 158\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//11100010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 159"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 159\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//11100100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 160"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 160\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//11101000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 161"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 161\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//11110000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 162"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 162\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 1){//00000111
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 163"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 163\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 1){//00001011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 164"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 164\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 1){//00001101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 165"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 165\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 1&&j8 == 0){//00001110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 166"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 166\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//00010011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 167"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 167\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//00010101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 168"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 168\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//00010110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 169"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 169\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//00011001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 170"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 170\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//00011010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 171"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 171\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//00011100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 172"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 172\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//00100011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 173"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 173\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//00100101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 174"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 174\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//00100110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 175"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 175\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//00101001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 176"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 176\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//00101010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 177"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 177\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//00101100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 178"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 178\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//00110001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 179"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 179\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//00110010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 180"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 180\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//00110100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 181"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 181\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//00111000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 182"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 182\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//01000011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 183"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 183\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//01000101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 184"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 184\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//01000110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 185"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 185\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//01001001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 186"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 186\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//01001010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 187"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 187\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//01001100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 188"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 188\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//01010001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 189"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 189\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//01010010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 190"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 190\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//01010100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 191"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 191\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//01011000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 192"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 192\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//01100001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 193"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 193\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//01100010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 194"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 194\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//01100100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 195"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 195\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//01101000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 196"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 196\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//01110000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 197"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 197\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//10000011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 198"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 198\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//10000101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 199"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 199\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//10000110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 200"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 200\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//10001001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 201"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 201\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//10001010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 202"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 202\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//10001100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 203"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 203\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//10010001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 204"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 204\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//10010010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 205"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 205\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//10010100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 206"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 206\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 ==0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//10011000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 207"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 207\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//10100001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 208"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 208\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//10100010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 209"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 209\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//10100100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 210"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 210\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//10101000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 211"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 211\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//10110000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 212"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 212\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//11000001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 213"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 213\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//11000010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 214"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 214\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//11000100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 215"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 215\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//11001000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 216"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 216\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//11010000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 217"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 217\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//11100000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 218"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 218\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 1){//00000011
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 219"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 219\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 1){//00000101
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 220"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 220\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 1&&j8 == 0){//00000110
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 221"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 221\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 1){//00001001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 222"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 222\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 1&&j8 == 0){//00001010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 223"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 223\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 1&&j7 == 0&&j8 == 0){//00001100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 224"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 224\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//00010001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 225"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 225\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//00010010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 226"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 226\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//00010100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 227"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 227\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//00011000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 228"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 228\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//00100001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 229"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 229\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//00100010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 230"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 230\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//00100100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 231"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 231\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//00101000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 232"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 232\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//00110000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 233"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 233\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//01000001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 234"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 234\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//01000010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 235"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 235\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//01000100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 236"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 236\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//01001000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 237"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 237\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//01010000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 238"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 238\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//01100000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 239"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 239\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//10000001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 240"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 240\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//10000010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 241"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 241\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//10000100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 242"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 242\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//10001000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 243"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 243\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//10010000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 244"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 244\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//10100000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 245"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 245\n\n");
            }else if(j1 == 1&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//11000000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 246"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 246\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 1){//00000001
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 247"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 247\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 1&&j8 == 0){//00000010
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 248"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 248\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 1&&j7 == 0&&j8 == 0){//00000100
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 249"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 249\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 1&&j6 == 0&&j7 == 0&&j8 == 0){//00001000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 250"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 250\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 1&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//00010000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 251"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 251\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 1&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//00100000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 252"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 252\n\n");
            }else if(j1 == 0&&j2 == 1&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//01000000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 253"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 253\n\n");
            }else if(j1 == 1&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//10000000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 254"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 254\n\n");
            }else if(j1 == 0&&j2 == 0&&j3 == 0&&j4 == 0&&j5 == 0&&j6 == 0&&j7 == 0&&j8 == 0){//00000000
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 255"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 255\n\n");
            }else{
                Process p15 = Runtime.getRuntime().exec(String.format("./test_l.csh 256"));
                try{
                    p15.waitFor();
                }catch(InterruptedException e){
                    e.printStackTrace();
                }
                textArea.append("           識別番号 256\n\n");
                
            }
            
            
            
            textArea.append("日付と識別番号をASICに記入してASICを付け替えてください。\n");
                
            }
            }
          
        // 4.最後にファイルを閉じてリソースを開放する
        br.close();
          


    
          textArea.append("実行ボタンを押して試験を始めてください。\n");
          textArea.setCaretPosition(textArea.getDocument().getLength());
          
      }catch (IOException e) {
        e.printStackTrace();
    }
      

      }catch(IOException ex){
    ex.printStackTrace();
  }
}
}
}
}
