#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
using namespace std;


double sum4(double da4[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da4[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}
double sum5(double da5[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da5[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}
double sum6(double da6[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da6[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}



int main(int argc, char* argv[])
{
    char* filename_out;
    
    if(argc != 2){
        //puts("\nThis application controls bus of a SiTCP chip for debugging.");
        printf("Usage: %s <filename_out> \n\n", argv[0]);
        return -1;
    }else{
        filename_out = argv[1];
    }
    
    
    int i,j,k, n,t;
       float sinyc[1800];    /* 大きめのサイズの配列を用意しておく． */
    
       FILE *fp;
    
       fp = fopen("d.txt", "r");
       if(fp == NULL) {
           printf("ファイルを開くことが出来ませんでした．\n");
           return(0);
       }
    
       n = 0;
    
       /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
       while ( ! feof(fp) && n < 1800) {
           fscanf(fp, "%4f", &(sinyc[n]));
           n++;
       }
    
       fclose(fp);
    
       n = n-1;
    
    
    /*数値を変換*/
    
    
    
       double da4[100];
       double da5[100];
       double da6[100];
       for(int s= 0 ; s<100; s++){
           da4 [s]= (16*16*sinyc[2*s+1]+sinyc[2*s+2])*0.244*4/50;
       }
       for(int s= 0 ; s<100; s++){
           da5 [s]= (16*16*sinyc[2*s+201]+sinyc[2*s+202])*0.244*4/50;
       }
       for(int s= 0 ; s<100; s++){
           da6 [s]= (16*16*sinyc[2*s+401]+sinyc[2*s+402])*0.244*4/50;
       }
    
    
    
    double ave[3]= {sum4(da4)*1.8/100,sum5(da5)*1.8/100,sum6(da6)*1.8/100};
       /*  画面に判定を表示  */
    
    
    
       //printf("\n%4.0f\n%4.0f\n%4.0f\n%4.0f\n%4.0f\n%4.0f\n%4.0f\n%4.0f\n", ave[0], ave[1], ave[2], ave[3], ave[4], ave[5], ave[6], ave[7]);
    
    
        for(k=0; k<1; k++) {
            if(k==0){
                if(sinyc[k]==2) {
                    printf("\nOK: SPI1 = OK set %4.0f\n", sinyc[k]);
                }
                else printf("\nNG: SPI1 = NG set %4.0f\n", sinyc[k]);
            }
            
        }
        
    
    
        
        for(i=0; i<3; i++) {
        if(i==0){
            if(6<ave[i] && ave[i]<17) {
                printf("OK: 1.8V power consumption 10k %4.3f\n", ave[i]);
            }
               else printf("NG: 1.8V power consumption 10k %4.3f\n", ave[i]);
               }
        if(i==1){
        if(6<ave[i] && ave[i]<17) {
            printf("OK: 1.8V power consumption 80k %4.3f\n", ave[i]);
        }
           else printf("NG: 1.8V power consumption 80k %4.3f\n", ave[i]);
           }
        if(i==2){
        if(7<ave[i] && ave[i]<18) {
            printf("OK: 1.8V power consumption 1M %4.3f\n", ave[i]);
        }
           else printf("NG: 1.8V power consumption 1M %4.3f\n", ave[i]);
           }
               }
    
    FILE *outputfile;         // 出力ストリーム
    
    outputfile = fopen(filename_out, "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile == NULL) {          // オープンに失敗した場合
        printf("cannot open\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    FILE *outputfile2;         // 出力ストリーム
    
    outputfile2 = fopen("1st_data.txt", "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile2 == NULL) {          // オープンに失敗した場合
        printf("cannot open_outputfile2\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    printf("\n--RESULT--\n");
    if(6<ave[0] && ave[0]<17 && 6<ave[1] && ave[1]<17 && 7<ave[2] && ave[2]<18) {
        printf("OK: Test8 (1.8V power consumption)\n");
        fprintf(outputfile,"1st_OK:1.8V_power_consumption\n");
        printf("\n合格　測定完了\nASICの電源を切って付け替えるか、他の項目の試験を行ってください。\n");
        fprintf(outputfile2,"\n1");
    }
    else {printf("NG: Test8 (1.8V power consumption)\n");
        fprintf(outputfile,"1st_NG:1.8V_power_consumption\n");
        printf("\n不合格　測定終了\nASICの電源を切って付け替えてください。\nASICに「試験８、不合格」のチェックをしてください。");
        fprintf(outputfile2,"\n0");
    }
    
    
    fprintf(outputfile, "1st_1.8V_power_consumption_SPI_test01 ");
    fprintf(outputfile, "%4.f\n", sinyc[0]);
    
    
    fprintf(outputfile, "1st_1.8V_power_consumption_10k ");
    fprintf(outputfile, "%4.3f\n", ave[0]);
    fprintf(outputfile, "1st_1.8V_power_consumption_80k ");
    fprintf(outputfile, "%4.3f\n", ave[1]);
    fprintf(outputfile, "1st_1.8V power_consumption_1M ");
    fprintf(outputfile, "%4.3f\n", ave[2]);
    
    
    fclose(outputfile);          // ファイルをクローズ(閉じる)
    fclose(outputfile2);          // ファイルをクローズ(閉じる)
    
    return(0);
}
