#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
using namespace std;


int main(int argc, char* argv[])
{
    char* filename_out;
    
    if(argc != 2){
        //puts("\nThis application controls bus of a SiTCP chip for debugging.");
        printf("Usage: %s <filename_out> \n\n", argv[0]);
        return -1;
    }else{
        filename_out = argv[1];
    }
    
    
    int i,j,k, n,t;
       float sinya[512];    /* 大きめのサイズの配列を用意しておく． */
    
       FILE *fp;
    
       fp = fopen("d.txt", "r");
       if(fp == NULL) {
           printf("ファイルを開くことが出来ませんでした．\n");
           return(0);
       }
    
       n = 0;
    
       /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
       while ( ! feof(fp) && n < 512) {
           fscanf(fp, "%4f", &(sinya[n]));
           n++;
       }
    
       fclose(fp);
    
       n = n-1;
    
    
    /*数値を変換*/
    
    
    float siny[512];
    for(j=0; j<20; j++) {
        siny[j] = (sinya[2*j]*16*16+sinya[2*j+1])*0.244*100/24;
    }
    
       /*  画面に判定を表示  */
       
    for(k=0; k<4; k++) {
        if(k==0){
            if(sinya[10*k]==5){
                printf("\nOK: SPI1 = OK set %4.0f\n", sinya[10*k]);
            }
            else printf("\nNG: SPI1 = NG set %4.0f\n", sinya[10*k]);
        }
        if(k==1){
            if(sinya[10*k]==1){
                printf("OK: SPI2 = OK set %4.0f\n", sinya[10*k]);
            }
            else printf("NG: SPI2 = NG set %4.0f\n", sinya[10*k]);
        }
        if(k==2){
            if(sinya[10*k]==2){
                printf("OK: SPI3 = OK set %4.0f\n", sinya[10*k]);
            }
            else printf("NG: SPI3 = NG set %4.0f\n", sinya[10*k]);
        }
        if(k==3){
            if(sinya[10*k]==4){
                printf("OK: SPI4 = OK set %4.0f\n", sinya[10*k]);
            }
            else printf("NG: SPI4 = NG set %4.0f\n", sinya[10*k]);
        }
    }
    
    for(i=0; i<4; i++) {
        if(i==0){
            if((3<siny[5*i+2] && siny[5*i+2]<15) && (3<siny[5*i+1] && siny[5*i+1]<15) && (3<siny[5*i+4] && siny[5*i+4]<15) && (3<siny[5*i+3] && siny[5*i+3]<15) ){
                printf("OK: Testpulse0 = OK %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
            }
           else printf("NG: Testpulse0 = NG %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
        }
        if(i==1){
            if((3<siny[5*i+2] && siny[5*i+2]<15) && (220<siny[5*i+1] && siny[5*i+1]<270) && (3<siny[5*i+4] && siny[5*i+4]<15) && (220<siny[5*i+3] && siny[5*i+3]<270)){
                printf("OK: Testpulse4 = OK %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
            }
            else printf("NG: Testpulse4 = NG %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
        }
        if(i==2){
            if((3<siny[5*i+2] && siny[5*i+2]<15) && (880<siny[5*i+1] && siny[5*i+1]<1020) && (3<siny[5*i+4] && siny[5*i+4]<15) && (880<siny[5*i+3] && siny[5*i+3]<1020)){
                printf("OK: Testpulse16 = OK %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
            }
            else printf("NG: Testpulse16 = NG %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
        }
        if(i==3){
            if((3<siny[5*i+2] && siny[5*i+2]<15) && (1600<siny[5*i+1] && siny[5*i+1]<1900) && (3<siny[5*i+4] && siny[5*i+4]<15) && (1600<siny[5*i+3] && siny[5*i+3]<1900)){
                printf("OK: Testpulse30 = OK %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
            }
            else printf("NG: Testpulse30 = NG %4.0f %4.0f %4.0f %4.0f\n", siny[5*i+1],siny[5*i+2],siny[5*i+3],siny[5*i+4]);
        }
    }
    FILE *outputfile;         // 出力ストリーム
    
    outputfile = fopen(filename_out, "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile == NULL) {          // オープンに失敗した場合
        printf("cannot open\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    FILE *outputfile2;         // 出力ストリーム
    
    outputfile2 = fopen("2nd_data.txt", "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile2 == NULL) {          // オープンに失敗した場合
        printf("cannot open_outputfile2\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    printf("\n--RESULT--\n");
    if((3<siny[2] && siny[2]<15) && (3<siny[1] && siny[1]<15) && (3<siny[4] && siny[4]<15) && (3<siny[3] && siny[3]<15) && (3<siny[7] && siny[7]<15) && (220<siny[6] && siny[6]<270) && (3<siny[9] && siny[9]<15) && (220<siny[8] && siny[8]<270) && (3<siny[12] && siny[12]<15) && (880<siny[11] && siny[11]<1020) && (3<siny[14] && siny[14]<15) && (880<siny[13] && siny[13]<1020) && (3<siny[17] && siny[17]<15) && (1600<siny[16] && siny[16]<1900) && (3<siny[19] && siny[19]<15) && (1600<siny[18] && siny[18]<1900)) {
        printf("OK: Test5 (Test pulse)\n");
        fprintf(outputfile,"2nd_OK:Test5(Test_pulse)\n");
        printf("\n合格　測定完了\nASICの電源を切って付け替えるか、他の項目の試験を行ってください。\n");
        fprintf(outputfile2,"1");
    }
    else {printf("NG: Test5 (Test pulse)\n");
        fprintf(outputfile,"2nd_NG:Test5(Test_pulse)\n");
        printf("\n不合格　測定終了\nASICの電源を切って付け替えてください。\nASICに「試験５、不合格」のチェックをしてください。");
        fprintf(outputfile2,"0");
    }
    
    
    
    for(int s=0; s<4; s++) {
        fprintf(outputfile, "2nd_testpulse_SPI_test0%d ", s+1);
        fprintf(outputfile, "%4.f\n", sinya[10*s]);
    }
    for(int y=0; y<2; y++) {
        fprintf(outputfile, "2nd_TestpulseA_%d ", 2*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+1]);
        fprintf(outputfile, "2nd_TestpulseAb_%d ", 2*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+2]);
        fprintf(outputfile, "2nd_TestpulseB_%d ", 2*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+3]);
        fprintf(outputfile, "2nd_TestpulseBb_%d ", 2*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+4]);
    }
    for(int y=2; y<3; y++) {
        fprintf(outputfile, "2nd_TestpulseA_%d ", 4*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+1]);
        fprintf(outputfile, "2nd_TestpulseAb_%d ", 4*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+2]);
        fprintf(outputfile, "2nd_TestpulseB_%d ", 4*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+3]);
        fprintf(outputfile, "2nd_TestpulseBb_%d ", 4*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+4]);
    }
    for(int y=3; y<4; y++) {
        fprintf(outputfile, "2nd_TestpulseA_%d ", 5*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+1]);
        fprintf(outputfile, "2nd_TestpulseAb_%d ", 5*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+2]);
        fprintf(outputfile, "2nd_TestpulseB_%d ", 5*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+3]);
        fprintf(outputfile, "2nd_TestpulseBb_%d ", 5*y);
        fprintf(outputfile, "%4.3f\n", siny[5*y+4]);
    }
    fclose(outputfile);          // ファイルをクローズ(閉じる)
    fclose(outputfile2);          // ファイルをクローズ(閉じる)
    
    return(0);
}
