#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
using namespace std;


int main(int argc, char* argv[])
{
    char* filename_out;
    
    if(argc != 2){
        //puts("\nThis application controls bus of a SiTCP chip for debugging.");
        printf("Usage: %s <filename_out> \n\n", argv[0]);
        return -1;
    }else{
        filename_out = argv[1];
    }
    
    
    
    int i,j,k, n,t;
       float sinya[512];    /* 大きめのサイズの配列を用意しておく． */
    
       FILE *fp;
    
       fp = fopen("d.txt", "r");
       if(fp == NULL) {
           printf("ファイルを開くことが出来ませんでした．\n");
           return(0);
       }
    
       n = 0;
    
       /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
       while ( ! feof(fp) && n < 512) {
           fscanf(fp, "%4f", &(sinya[n]));
           n++;
       }
    
       fclose(fp);
    
       n = n-1;
    
    
    /*数値を変換*/
    
    
    float siny[512];
    
    for(j=0; j<n+1; j++) {
        siny[j]=sinya[2*j+3]-sinya[1];
    }
    
       /*  画面に判定を表示  */
       
    
    for(k=0; k<6; k++) {
        if(k==0){
            if(sinya[2*k]==1){
                printf("\nOK: SPI1 = OK set %4.0f\n", sinya[2*k]);
            }
           else printf("\nNG: SPI1 = NG set %4.0f\n", sinya[2*k]);
        }
        if(k==1){
            if(sinya[2*k]==6){
                printf("OK: SPI2 = OK set %4.0f\n", sinya[2*k]);
            }
           else printf("NG: SPI2 = NG set %4.0f\n", sinya[2*k]);
        }
        if(k==2){
            if(sinya[2*k]==7){
                printf("OK: SPI3 = OK set %4.0f\n", sinya[2*k]);
            }
           else printf("NG: SPI3 = NG set %4.0f\n", sinya[2*k]);
        }
        if(k==3){
            if(sinya[2*k]==8){
                printf("OK: SPI4 = OK set %4.0f\n", sinya[2*k]);
            }
           else printf("NG: SPI4 = NG set %4.0f\n", sinya[2*k]);
        }
        if(k==4){
            if(sinya[2*k]==9){
                printf("OK: SPI5 = OK set %4.0f\n", sinya[2*k]);
            }
           else printf("NG: SPI5 = NG set %4.0f\n", sinya[2*k]);
        }
        if(k==5){
            if(sinya[2*k]==2){
                printf("OK: SPI6 = OK set %4.0f\n", sinya[2*k]);
            }
           else printf("NG: SPI6 = NG set %4.0f\n", sinya[2*k]);
        }
    }
    
    for(i=0; i<5; i++) {
        if(i==0){
            if(siny[i]==1||siny[i]==2||siny[i]==3){
                printf("OK: 10 ns = OK %4.0f\n", siny[i]);
            }
           else printf("NG: 10 ns = NG %4.0f\n", siny[i]);
        }
        if(i==1){
            if(siny[i]==3||siny[i]==4||siny[i]==5){
                printf("OK: 20 ns = OK %4.0f\n", siny[i]);
            }
            else printf("NG: 20 ns = NG %4.0f\n", siny[i]);
        }
        if(i==2){
            if (siny[i]==5||siny[i]==6||siny[i]==7){
                printf("OK: 30 ns = OK %4.0f\n", siny[i]);
            }
        else printf("NG: 30 ns = NG %4.0f\n", siny[i]);
        }
        if(i==3){
            if(siny[i]==7||siny[i]==8||siny[i]==9){
                printf("OK: 40 ns = OK %4.0f\n", siny[i]);
            }
            else printf("NG: 40 ns = NG %4.0f\n", siny[i]);
        }
        if(i==4){
            if(siny[i]==8||siny[i]==9||siny[i]==10){
                printf("OK: 47 ns = OK %4.0f\n", siny[i]);
            }
            else printf("NG: 47 ns = NG %4.0f\n", siny[i]);
        }
    }
    
    FILE *outputfile;         // 出力ストリーム
    
    outputfile = fopen(filename_out, "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile == NULL) {          // オープンに失敗した場合
        printf("cannot open\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    FILE *outputfile2;         // 出力ストリーム
    
    outputfile2 = fopen("1st_data.txt", "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile2 == NULL) {          // オープンに失敗した場合
        printf("cannot open_outputfile2\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    printf("\n--RESULT--\n");
    if((siny[0]==1||siny[0]==2||siny[0]==3) && (siny[1]==3||siny[1]==4||siny[1]==5) && (siny[2]==5||siny[2]==6||siny[2]==7) && (siny[3]==7||siny[3]==8||siny[3]==9) && (siny[4]==8||siny[4]==9||siny[4]==10)) {
        printf("OK: Test3 (delay)\n");
        fprintf(outputfile,"1st_OK:delay\n");
        printf("\n合格　測定完了\nASICの電源を切って付け替えるか、他の項目の試験を行ってください。\n");
        fprintf(outputfile2,"\n1");
    }
    else {printf("NG: Test3 (delay)\n");
        fprintf(outputfile,"1st_NG:delay\n");
        printf("\n不合格　測定終了\nASICの電源を切って付け替えてください。\nASICに「試験３、不合格」のチェックをしてください。");
        fprintf(outputfile2,"\n0");
    }
    
    
    
    for(int t=0; t<6; t++) {
        fprintf(outputfile, "1st_delay_SPI_test0%d ", t+1);
        fprintf(outputfile, "%4.f\n", sinya[2*t]);
    }
    
    for(int s=0; s<4; s++) {
        fprintf(outputfile, "1st_Delay_%d ", 10*s);
        fprintf(outputfile, "%4.f\n", siny[s]);
    }
    
        fprintf(outputfile, "1st_Delay_47 ");
        fprintf(outputfile, "%4.f\n", siny[4]);
    
    
    fclose(outputfile);          // ファイルをクローズ(閉じる)
    fclose(outputfile2);          // ファイルをクローズ(閉じる)
    
    return(0);
}
