#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
using namespace std;


double sum0(double da0[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da0[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}
double sum1(double da1[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da1[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}
double sum2(double da2[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da2[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}
double sum3(double da3[] )
{
    int u;
    double total = 0.0;     // 変数の宣言
  
    for(u=0; u<100; u++){
        total += da3[u];   // 合計を計算
    }
      
    return total;           // 合計を返す
}


int main(int argc, char* argv[])
{
    char* filename_out;
    
    if(argc != 2){
        //puts("\nThis application controls bus of a SiTCP chip for debugging.");
        printf("Usage: %s <filename_out> \n\n", argv[0]);
        return -1;
    }else{
        filename_out = argv[1];
    }
    
    
    int i,j,k, n,t;
       float sinyp[1024];    /* 大きめのサイズの配列を用意しておく． */
    
       FILE *fp;
    
       fp = fopen("d.txt", "r");
       if(fp == NULL) {
           printf("ファイルを開くことが出来ませんでした．\n");
           return(0);
       }
    
       n = 0;
    
       /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
       while ( ! feof(fp) && n < 1024) {
           fscanf(fp, "%4f", &(sinyp[n]));
           n++;
       }
    
       fclose(fp);
    
       n = n-1;
    
    
    /*数値を変換*/
    
    
    double da0[100];
    double da1[100];
    double da2[100];
    double da3[100];
    for(int s= 0 ; s<100; s++){
        da0 [s]= (16*16*sinyp[2*s+1]+sinyp[2*s+2])*0.244*4/50;
    }
    for(int s= 0 ; s<100; s++){
        da1 [s]= (16*16*sinyp[2*s+202]+sinyp[2*s+203])*0.244*4/50;
    }
    for(int s= 0 ; s<100; s++){
        da2 [s]= (16*16*sinyp[2*s+403]+sinyp[2*s+404])*0.244*4/50;
    }
    for(int s= 0 ; s<100; s++){
        da3 [s]= (16*16*sinyp[2*s+604]+sinyp[2*s+605])*0.244*4/50;
    }
    
    double ave33[4]= {sum3(da3)*3.3/100,sum0(da0)*3.3/100,sum1(da1)*3.3/100,sum2(da2)*3.3/100};
    
       /*  画面に判定を表示  */
       
    
    
        for(k=0; k<4; k++) {
            if(k==0){
                if(sinyp[k]==1) {
                    printf("\nOK: SPI1 = OK %4.0f\n", sinyp[k]);
                }
                else printf("\nNG: SPI1 = NG %4.0f\n", sinyp[k]);
            }
            if(k==1){
                if(sinyp[k+200]==2) {
                    printf("OK: SPI2 = OK %4.0f\n", sinyp[k+200]);
                }
                else printf("NG: SPI2 = NG %4.0f\n", sinyp[k+200]);
            }
            if(k==2){
                if(sinyp[k+400]==4) {
                    printf("OK: SPI3 = OK %4.0f\n", sinyp[k+400]);
                }
                else printf("NG: SPI3 = NG %4.0f\n", sinyp[k+400]);
            }
            if(k==3){
                if(sinyp[k+600]==5) {
                    printf("OK: SPI4 = OK %4.0f\n", sinyp[k+600]);
                }
                else printf("NG: SPI4 = NG %4.0f\n", sinyp[k+600]);
            }
            
        }
        
    
    
        
    for(i=0; i<4; i++) {
        if(i==0){
            if(3<ave33[i] && ave33[i]<15) {
                printf("OK: 3.3V power consumption0 %4.3f\n", ave33[i]);
            }
            else printf("NG: 3.3V power consumption0 %4.3f\n", ave33[i]);
        }
        if(i==1){
            if(17<ave33[i] && ave33[i]<30) {
                printf("OK: 3.3V power consumption4 %4.3f\n", ave33[i]);
            }
            else printf("NG: 3.3V power consumption4 %4.3f\n", ave33[i]);
        }
        if(i==2){
            if(65<ave33[i] && ave33[i]<78) {
                printf("OK: 3.3V power consumption16 %4.3f\n", ave33[i]);
            }
            else printf("NG: 3.3V power consumption16 %4.3f\n", ave33[i]);
        }
        if(i==3){
            if(117<ave33[i] && ave33[i]<135) {
                printf("OK: 3.3V power consumption30 %4.3f\n", ave33[i]);
            }
            else printf("NG: 3.3V power consumption30 %4.3f\n", ave33[i]);
        }
    }
    
    
    
    FILE *outputfile;         // 出力ストリーム
    
    outputfile = fopen(filename_out, "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile == NULL) {          // オープンに失敗した場合
        printf("cannot open\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    FILE *outputfile2;         // 出力ストリーム
    
    outputfile2 = fopen("1st_data.txt", "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile2 == NULL) {          // オープンに失敗した場合
        printf("cannot open_outputfile2\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    
    printf("\n--RESULT--\n");
    if(3<ave33[0] && ave33[0]<15 && 17<ave33[1] && ave33[1]<30 && 65<ave33[2] && ave33[2]<78 && 117<ave33[3] && ave33[3]<135) {
        printf("OK: Test7 (3.3V power consumption)\n");
        fprintf(outputfile,"1st_OK:3.3V_power_consumption\n");
        printf("\n合格　測定完了\nASICの電源を切って付け替えるか、他の項目の試験を行ってください。\n");
        fprintf(outputfile2,"\n1");
    }
    else {printf("NG: Test7 (3.3V power consumption)\n");
        fprintf(outputfile,"1st_NG:3.3V_power_consumption\n");
        printf("\n不合格　測定終了\nASICの電源を切って付け替えてください。\nASICに「試験７、不合格」のチェックをしてください。");
        fprintf(outputfile2,"\n0");
    }
    
    for(int y=0; y<4; y++) {
        fprintf(outputfile, "1st_3.3V_power_consumption_SPI_test0%d ", y+1);
        fprintf(outputfile, "%4.f\n", sinyp[y+200*y]);
    }
    
    
    fprintf(outputfile, "1st_3.3V_power_consumption0 ");
    fprintf(outputfile, "%4.3f\n", ave33[0]);
    fprintf(outputfile, "1st_3.3V_power_consumption4 ");
    fprintf(outputfile, "%4.3f\n", ave33[1]);
    fprintf(outputfile, "1st_3.3V_power_consumption16 ");
    fprintf(outputfile, "%4.3f\n", ave33[2]);
    fprintf(outputfile, "1st_3.3V_power_consumption30 ");
    fprintf(outputfile, "%4.3f\n", ave33[3]);
    
    
    fclose(outputfile);          // ファイルをクローズ(閉じる)
    fclose(outputfile2);          // ファイルをクローズ(閉じる)
    
    return(0);
}
