#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
using namespace std;


int main(int argc, char* argv[])
{
    char* filename_out;
    
    if(argc != 2){
        //puts("\nThis application controls bus of a SiTCP chip for debugging.");
        printf("Usage: %s <filename_out> \n\n", argv[0]);
        return -1;
    }else{
        filename_out = argv[1];
    }
    
    
    int i,j,k, n,t;
       float siny[512];    /* 大きめのサイズの配列を用意しておく． */
    
       FILE *fp;
    
       fp = fopen("d.txt", "r");
       if(fp == NULL) {
           printf("ファイルを開くことが出来ませんでした．\n");
           return(0);
       }
    
       n = 0;
    
       /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
       while ( ! feof(fp) && n < 512) {
           fscanf(fp, "%4f", &(siny[n]));
           n++;
       }
    
       fclose(fp);
    
       n = n-1;
    
    
    /*数値を変換*/
        float sinya[512];
    
    for(k=0; k<1; k++) {
        sinya[k] = (siny[1]*16*16+siny[2])*0.244*9/5;
    }
 
       /*  画面に判定を表示  */
    
    
    for(i=0; i<1; i++) {
            if(siny[i]==1){
                printf("\nOK: SPI1 = OK %4.0f\n", siny[i]);
            }
        else printf("\nNG: SPI1 = NG %4.0f\n", siny[i]);
    }
    
    for(j=0; j<1; j++) {
            if(750.0<sinya[j] && sinya[j]<810.0){
                printf("OK: Vcon = OK %4.0f\n", sinya[j]);
            }
        else printf("NG: Vcon = NG %4.0f\n", sinya[j]);
        
    }
    
    FILE *outputfile;         // 出力ストリーム
    
    outputfile = fopen(filename_out, "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile == NULL) {          // オープンに失敗した場合
        printf("cannot open\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    FILE *outputfile2;         // 出力ストリーム
    
    outputfile2 = fopen("2nd_data.txt", "a+");  // ファイルを書き込み用にオープン(開く)
    if (outputfile2 == NULL) {          // オープンに失敗した場合
        printf("cannot open_outputfile2\n");         // エラーメッセージを出して
        exit(1);                         // 異常終了
    }
    
    printf("\n--RESULT--\n");
    if((750.0<sinya[0] && sinya[0]<810.0)) {
        printf("OK: Test4 (Vcon)\n");
        fprintf(outputfile,"2nd_OK:Test4(Vcon)\n");
        printf("\n合格　測定完了\nASICの電源を切って付け替えるか、他の項目の試験を行ってください。\n");
        fprintf(outputfile2,"1");
    }
    else {printf("NG: Test4 (Vcon)\n");
        fprintf(outputfile,"2nd_NG:Test4(Vcon)\n");
        printf("\n不合格　測定終了\nASICの電源を切って付け替えてください。\nASICに「試験４、不合格」のチェックをしてください。");
        fprintf(outputfile2,"0");
    }
    
    
    fprintf(outputfile, "2nd_vcon_SPI_test01 ");
    fprintf(outputfile, "%4.f\n", siny[0]);
    fprintf(outputfile, "2nd_vcon ");
    fprintf(outputfile, "%4.3f\n", sinya[0]);
    
    
    fclose(outputfile);          // ファイルをクローズ(閉じる)
    fclose(outputfile2);          // ファイルをクローズ(閉じる)
    
    return(0);
}
